'use strict';

var https = require('https');
var url = require('url');

var request = function request(href, cb) {
	var out = '';
	var statusCode = void 0;
	var req = https.get(url.parse(href), function (res) {
		statusCode = res.statusCode;
		res.on('data', function (data) {
			return out += data;
		});
	});
	req.on('close', function () {
		if (statusCode == 200) {
			try {
				return cb(null, JSON.parse(out));
			} catch (e) {
				return cb(null, out);
			}
		} else if (statusCode == 401) {
			return cb(new Error('AuthJet Not Authenticated'));
		} else if (statusCode == 500) {
			return cb(new Error('Internal AuthJet Server Error'));
		} else if (statusCode == 404) {
			return cb(new Error('AuthJet app not found'));
		} else {
			return cb(new Error(out));
		}
	});
	req.on('error', cb);
};

module.exports = request;